/*
*  Rubrica
*  file: form_cb.h
*
*  
*  Copyright (C) 2000-2003 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _RUBRICA_FORM_CB_H
#define _RUBRICA_FORM_CB_H

#include <gnome.h>


void rubrica_form_card_entry_activate (GtkEditable *editable, gpointer data);
void rubrica_form_card_option_check_toggled (GtkToggleButton *togglebutton,
					     gpointer data);
void rubrica_form_card_married_check_toggled (GtkToggleButton *togglebutton,
					      gpointer data);

/* address */
void rubrica_form_card_addresses_list_activated (GtkTreeSelection *selection,
						 gpointer data);
void rubrica_form_card_address_add_clicked (GtkButton *button, gpointer data);
void rubrica_form_card_address_mod_clicked (GtkButton *button, gpointer data);
void rubrica_form_card_address_del_clicked (GtkButton *button, gpointer data);

/* web */
void rubrica_form_card_web_list_activated(GtkTreeSelection *selection,
					  gpointer data);
void rubrica_form_card_web_add_clicked (GtkButton *button, gpointer data);
void rubrica_form_card_web_mod_clicked (GtkButton *button, gpointer data);
void rubrica_form_card_web_del_clicked (GtkButton *button, gpointer data);

/* email */
void rubrica_form_card_email_list_activated(GtkTreeSelection *selection,
					    gpointer data);
void rubrica_form_card_email_add_clicked (GtkButton *button, gpointer data);
void rubrica_form_card_email_mod_clicked (GtkButton *button, gpointer data);
void rubrica_form_card_email_del_clicked (GtkButton *button, gpointer data);

/* telephone */
void rubrica_form_card_telephone_list_activated(GtkTreeSelection *selection, 
						gpointer data);
void rubrica_form_card_tel_add_clicked (GtkButton *button, gpointer user_data);
void rubrica_form_card_tel_mod_clicked (GtkButton *button, gpointer user_data);
void rubrica_form_card_tel_del_clicked (GtkButton *button, gpointer user_data);

#endif
